## bloboats 1.0.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -24,12 +24,11 @@
 
 
 ### To compile, this program requires:
-# SDL, SDL_image, SDL_mixer and SDL_net to compile. Libvorbis for music support.
+# SDL, SDL_image, SDL_mixer to compile. Libvorbis for music support.
 # OpenGL support.
 
-SOUND = 0
-NETWORK = 1
-MUSIC = 0
+SOUND = 1
+MUSIC = 1
 DEBUG = 0
 
 # Select target system
@@ -73,11 +72,11 @@
 SDLCONFIG = $(SDLCONFIG_$(TARGET))
 
 ### Libs
-LIBS_DEFAULT = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -lSDL_net -lGL -lGLU
-LIBS_FREEBSD = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -lSDL_net -L/usr/X11R6/lib -lGL -lGLU
-LIBS_NETBSD = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -lSDL_net -lGL -lGLU -L/usr/pkg/lib
-LIBS_MACOSX = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -lSDL_net -framework OpenGL
-LIBS_CROSS = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -lSDL_net -lopengl32 -lglu32
+LIBS_DEFAULT = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -lGL -lGLU
+LIBS_FREEBSD = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -L/usr/X11R6/lib -lGL -lGLU
+LIBS_NETBSD = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -lGL -lGLU -L/usr/pkg/lib
+LIBS_MACOSX = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -framework OpenGL
+LIBS_CROSS = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -lopengl32 -lglu32
 
 LIBS = $(LIBS_$(TARGET))
 
@@ -136,6 +135,7 @@
 all: config main
 
 main: $(OBJ)
+	mkdir -p bin
 	$(CXX) $(OBJ) $(LIBS) $(CXXFLAGS)
 	$(STRIP) bin/$(BINARY)
 
@@ -150,7 +150,6 @@
 	chmod 644 bloboats.dirs
 	echo "#define DEFAULT_CONFIGFILE \"$(CONFIGDIR)/bloboats.dirs\"" >src/compiling_settings.h
 	echo "#define SOUND $(SOUND)" >> src/compiling_settings.h
-	echo "#define NETWORK $(NETWORK)" >> src/compiling_settings.h
 	echo "#define MUSIC $(MUSIC)" >> src/compiling_settings.h
 	echo "#define DEBUG $(DEBUG)" >> src/compiling_settings.h
