=== debian/changelog ===
bloboats (1.0.2+dfsg-1) unstable; urgency=low

  * Team upload.

  [ Mahyuddin Susanto ]
  * New upstream release.
  * Refreshed all patches:
    - debian/patches/01-fix_segfault_notebook.patch
    - debian/patches/02-fix-Makefile.patch
    - debian/patches/03-uint32.patch
  * Update copyright to copyright format 1.0.
  * Simplify debian/rules by using dh sequencer.
  * Switch to source format 3.0 (quilt).

  [ Gonéri Le Bouder ]
  * Remove myself from Uploaders.

  [ Markus Koschany ]
  * Bump compatibility level to 9 and require debhelper >=9.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Rename the debian package version to 1.0.2+dfsg. (Closes: #593517)
  * The new upstream version supports higher screen resolutions, at least
    1680x1050 pixel. (Closes: #560101)
  * The new upstream version seemingly fixes the bug that HV-Arena finishes
    before the player can reach the Enterprise. (Closes: #413819)
  * Update debian/watch and make the file extension regex more flexible.
  * debian/rules:
    - Build with --parallel.
    - Drop unneeded overrides and further simplify debian/rules.
  * debian/patches:
    - Add DEP-3 header to 02-fix-Makefile.patch
    - Add Hardening.patch to enable $(LDFLAGS).
  * Convert bloboats.sgml to bloboats.6. Add missing OPTIONS.
  * Install readme.txt via docs file and bloboats.6 with manpages file.
  * Add new high resolution bloboats.png icon.
  * debian/control:
    - Drop docbook-to-man and libglib2.0-dev from Build-Depends. Both are not
      needed.
  * bloaboats.desktop: Add comment in German and keywords.

 -- Markus Koschany <apo@gambaru.de>  Fri, 31 May 2013 12:24:27 +0200

bloboats (1.0.1.dsfg-3) unstable; urgency=low

  [ Paul Wise ]
  * Add a watch file
  * Update upstream URLs

  [ Gonéri Le Bouder ]
  * Use /usr/share/quilt/quilt.make to call quilt
  * Unapply the patches during the clean, thanks Raphael Geisser
  * Standard version 3.8.1
   - do not ignore 'make clean' return
  * deals correctly with noopt and debug, thanks Raphael Geisser
  * Apply Raphael Geisser patch to pass correct parameter to SDL_SetVideoMode
  * Add fix_segfault_notebook.diff to avoid a segfault if the screen
    doesn't accept 1024x768 like most of the notebook computer
    (Closes: #523271)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 19 Apr 2009 00:00:15 +0200

bloboats (1.0.1.dsfg-2) unstable; urgency=low

  [ William Lima ]
  * Add call to dh_desktop to debian/rules
  * Add .desktop file (Closes: #466287)

  [ Jon Dowland ]
  * add Homepage: control field to source stanza

  [ Barry deFreese ]
  * Update fix_makefile.patch to remove strip. (Closes: #436595).
  * Remove Homepage from package description.
  * Add VCS tags in control.
  * Bump Standards Version to 3.7.3. (No changes needed).
  * Add myself to uploaders.

  [ Ansgar Burchardt ]
  * Add Icon to .desktop file

  [ Gonéri Le Bouder ]
  * remove libsdl-mixer1.2-dev since it's not needed for the moment
  * do not link with sdl-mixer too (fix_makefile.patch updated)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Wed, 20 Feb 2008 16:38:06 +0000

bloboats (1.0.1.dsfg-1) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * Initial release (Closes: #383945)
  * dfsg: sound files removed
   - README.Debian created to explain the issue.

  [ Jon Dowland ]
  * update menu section to "Games/Action" for menu transition
    (thanks Linas Žvirblis)

 -- Jon Dowland <jon@alcopop.org>  Thu, 12 Jul 2007 11:23:53 +0100
