=== debian/control ===
Source: bloboats
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bddebian@comcast.net>,
Build-Depends:
 debhelper (>= 9),
 libsdl-image1.2-dev,
 libsdl-net1.2-dev
Standards-Version: 3.9.4
Homepage: http://bloboats.blobtrox.net/about.php
Vcs-Git: git://anonscm.debian.org/pkg-games/bloboats.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/bloboats.git

Package: bloboats
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Boat racing game
 Bloboats is an arcade-like boat racing game in the hybrid spirit of
 Mario-like platform jumpers and elasto mania / xmoto.
 .
 The objective of Bloboats is to reach MS Enterprise as fast as possible to
 save it from the hands of the terrible Tentacle Monsters of an Unknown Master
 and in the same time beat your friend and laugh at his or her puny time.
 .
 The journey starts from a place called Tutorial, somewhere in the United
 States, and somehow the player ends up in the famous HV-Arena of Helsinki.
 During the trip a number of MS Enterprises are saved, luckily, from the
 hands of the terrible Tentacle Monsters of an Unknown Master, who actually
 is your dad. Or then ain't. :-)
