=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel


override_dh_auto_build:
	make DATADIR=/usr/share/games/bloboats

override_dh_auto_install:
	make \
		DATADIR=/usr/share/games/bloboats \
		DESTDIR=debian/bloboats \
		BINARYDIR=/usr/games install
