=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//" \
http://bloboats.blobtrox.net/download.php .*/bloboats-([0-9.]+)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
