## bloboats 1.0.2-maemo1

=== debian/changelog ===
bloboats (1.0.2-maemo1) unstable; urgency=low

  *Maemo fixes
  *optified

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 05 Aug 2013 20:58:15 +0200
