=== debian/control ===
Source: bloboats
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 5.0.0), quilt, docbook-to-man, 
 libglib2.0-dev, 
 libsdl-image1.2-dev, libsdl-net1.2-dev, libsdl-mixer1.2-dev,
 libglshim-dev [armel], libglushim-dev [armel],
 libgl1-mesa-dev [i386], libglu1-mesa-dev [i386]
Standards-Version: 3.8.1
Homepage: http://bloboats.blobtrox.net/about.php
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/bloboats/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/bloboats/?op=log

Package: bloboats
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a boat racing game
 Bloboats is an arcade-like boat racing game in the hybrid spirit of 
 Mario-like platform jumpers and elasto mania / xmoto.
 .    
 The objective of Bloboats is to reach MS Enterprise as fast as possible to
 save if from the hands of the terrible Tentacle Monsters of an Unknown Master
 and the same time beat your friend and laugh at his or her puny time.
 . 
 The journey starts from a place called Tutorial, somewhere in the United
 States, and somehow the player ends up in the famous HV-Arena of Helsinki.
 During the trip a number of MS Enterprises are saved, luckily, from the
 hands of the terrible Tentacle Monsters of an Unknown Master, who actually
 is your dad. Or then ain't. :-)
