=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1
include /usr/share/quilt/quilt.make

CFLAGS = -Wall -g

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif


build: build-stamp
build-stamp: $(QUILT_STAMPFN)
	dh_testdir
	make DATADIR=/usr/share/games/bloboats
	docbook-to-man debian/bloboats.sgml > debian/bloboats.6
	touch build-stamp

clean: unpatch
	dh_testdir
	[ ! -f bloboats.dirs ] || make clean
	rm -f debian/bloboats.6
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	#make DATADIR=/usr/share/games/bloboats DESTDIR=debian/bloboats BINARYDIR=/usr/games install

	#directories
	mkdir -p debian/bloboats/opt/bloboats

	#binary
	cp bin/bloboats debian/bloboats/opt/bloboats

	#data-files
	cp -r data debian/bloboats/opt/bloboats

	#config
	mkdir -p debian/bloboats/etc
	echo "datadir /opt/bloboats/data" > debian/bloboats/etc/bloboats.dirs 
	echo "privatedir ~/.bloboats" >> debian/bloboats/etc/bloboats.dirs

	# xpm
	mkdir -p debian/bloboats/usr/share/pixmaps
	cp debian/bloboats.xpm debian/bloboats/usr/share/pixmaps
	# desktop
	mkdir -p debian/bloboats/usr/share/applications/hildon
	cp debian/bloboats.desktop debian/bloboats/usr/share/applications/hildon

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs readme.txt debian/README.Debian
	dh_installman debian/bloboats.6
	dh_installmenu
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
