=== debian/watch ===
version=3
opts="dversionmangle=s/\.dsfg//" http://bloboats.blobtrox.net/download.php .*/bloboats-([0-9.]+)\.tar\.gz
